Subject: bug#11501: Emacs 24.0.97 Pretest Windows Binaries + Win7 x64: create new file dialog does not work.

From: Stefan Kangas <[email-masked]>
Date: Fri, 23 Aug 2019 07:58:05 +0200

Miguel Ruiz <[email-masked]> writes:

> Every Emacs pretest windows binary since 24.0.92 shows the same
> behaviour: after runemacs -Q, if you go with mouse to  'menu-bar file
> new-file' or 'tool-bar new-file', a graphical file selector dialog
> opens, with some icons in complete black, and when you enter a new
> file name, click OK (Open, actually), nothing happens.
>
> Also, I experiment the same behaviour with official Emacs 23.4, but
> not in Emacs 23.3.
>
> Both series, 23.4 and 24.0.x, works perfectly in Windows XP and Windows 7 x86
>
> But the binary from
> http://prdownloads.sourceforge.net/ntemacs/ntemacs24-bin-20110402.7z?download
> (version 24.0.50.1) WORKS PERFECTLY. The report-emacs-bug info for
> this working version is the following:
>
> (Windows 7 x64 Home Premium)

Richard P <[email-masked]> writes:

> Have the exact same problem.
>
> Tested Emacs 23.X and 24.0 and File --> visit New File works as intended.
>
> In 24.1, I cannot create a new file through Visit New File. Also happens with File --> Save as, which exhibits the same problem.
>
> Using Windows Prof x64 on Lenovo X220t.
>
> Happy to submit any further info.

I note that this was reported in 2012, which is now 7 years ago.  Are
you still seeing this bug on a modern version of Emacs, for example
the latest version 26.2?

I also note that at least three other people tried different Windows
versions without being able to reproduce this problem.

Thanks,
Stefan Kangas